<div id="body" class="container-fluid">
  <h6>Fedline Resource Availability</h6>
  <br />
  <div class="row">
    <div class="col">
      <h6>Resource Count Overview:</h6>
      <fieldset [disabled]="showEditButton">
        <div class="form-group col-12 col-md-4 col-lg-6">
          <button class="btn btn-sm btn-primary btn-block" type="button" (click)="updateFedlineEvents()">
            Update Allowed Events
          </button>
        </div>
      </fieldset>
        <dx-data-grid #grid id="gridFedlineAvailability" [dataSource]="timeSlots" keyExpr="rsrcAvlbltyID"
                      [showBorders]="true" [wordWrapEnabled]="true" [rowAlternationEnabled]="true" [columnAutoWidth]="true"
                      (onRowPrepared)="highlightOverbooked($event)"
                      (onToolbarPreparing)="onToolbarPreparing($event)"
                      (onExporting)="onExporting($event)"
                      (onExported)="onExported($event)"
                      (onContentReady)="onContentReady($event)"
                      style="max-height:1000px;">
          <dxo-paging [enabled]="false"></dxo-paging>
          <dxo-scrolling columnRenderingMode="virtual"></dxo-scrolling>
          <dxo-sorting mode="multiple"></dxo-sorting>
          <dxi-column dataField="dayDisp" cellTemplate="day" caption="Date" dataType="string"></dxi-column>
          <dxi-column dataField="displayTimeSlot" caption="Time Slot" dataType="string"></dxi-column>
          <dxi-column dataField="maxTimeSlots" [allowFiltering]="false" caption="Allowed Events"
                      [allowSorting]="false" cellTemplate="maxTimeSlots" alignment="left"></dxi-column>
          <dxi-column dataField="curAvailTimeSlots" [allowFiltering]="false" caption="# of Assigned Events"
                      [allowSorting]="false" cellTemplate="curAvailTimeSlots" alignment="left"></dxi-column>
          <dxi-column dataField="isOverbooked" caption="Is Overbooked" dataType="string" [visible]="false"></dxi-column>
          <div *dxTemplate="let cell of 'day'">
            <span>{{cell.text}}</span>
          </div>
          <div *dxTemplate="let data of 'maxTimeSlots'">
            <input type="text" value="{{data.text}}" style="width:80px;" (change)="updateFedlineCount(data.key, $event.target.value)" />
          </div>
          <div *dxTemplate="let data of 'curAvailTimeSlots'">
            <a class="dx-link" (click)="getFedlineEventsForTimeSlot(data, data.key)">
              {{ data.text }}
            </a>
          </div>
          <div *dxTemplate="let data of 'exportTemplate'">
            <button type="button" class="btn btn-sm btn-primary"
                    (click)="grid.instance.exportToExcel(false)">
              Export to Excel
            </button>
          </div>
        </dx-data-grid>
    </div>

    <div class="col">
      <h6>Orders with Invalid Time Slot:</h6>
      <dx-data-grid #grid1 id="gridInvalidTS" keyExpr="eventID" [dataSource]="invalidTSEvents" [rowAlternationEnabled]="true"
                    [wordWrapEnabled]="true" [showBorders]="true"
                    (onContentReady)="grid1.instance.searchByText(grid1.searchPanel.text.trim())"
                    (onSelectionChanged)="selectionChangedHandler(grid1.selectedRowKeys)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxi-column dataField="eventID" caption="Event ID" dataType="string"></dxi-column>
        <dxi-column dataField="frbid" caption="FRB ID" dataType="string"></dxi-column>
        <dxi-column dataField="startTime" cellTemplate="localStartTime" caption="Start Time" dataType="string"></dxi-column>
        <dxi-column dataField="endTime" cellTemplate="localStartTime" caption="End Time" dataType="string"></dxi-column>
        <dxi-column dataField="activity" caption="Activity" dataType="string"></dxi-column>
        <dxi-column dataField="status" caption="Status" dataType="string"></dxi-column>
        <div *dxTemplate="let cell of 'localStartTime'">
          <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
        </div>
      </dx-data-grid>
      <br /><br />

      <h6>Disconnect Orders:</h6>
      <dx-data-grid #grid2 id="gridDisconnectOrders" keyExpr="eventID" [dataSource]="disconnectEvents"
                    [rowAlternationEnabled]="true" [wordWrapEnabled]="true" [showBorders]="true"
                    (onContentReady)="grid2.instance.searchByText(grid2.searchPanel.text.trim())"
                    (onSelectionChanged)="selectionChangedHandler(grid2.selectedRowKeys)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxi-column dataField="eventID" caption="Event ID" dataType="string"></dxi-column>
        <dxi-column dataField="frbid" caption="FRB ID" dataType="string"></dxi-column>
        <dxi-column dataField="startTime" cellTemplate="localStartTime" caption="Disconnect Date" dataType="string"></dxi-column>
        <dxi-column dataField="activator" caption="Activator" dataType="string"></dxi-column>
        <dxi-column dataField="activity" caption="Activity" dataType="string"></dxi-column>
        <dxi-column dataField="status" caption="Status" dataType="string"></dxi-column>
        <div *dxTemplate="let cell of 'localStartTime'">
          <span>{{cell.text | date:'MM/dd/yyyy hh:mm a'}}</span>
        </div>
      </dx-data-grid>
      <br /><br />

      <h6>Events Scheduled for: {{eventDay | date:'MM/dd/yyyy'}} {{eventTimeSlot}}</h6>
      <dx-data-grid #grid3 id="gridEventsForResourceID" keyExpr="eventID" [dataSource]="events" [rowAlternationEnabled]="true"
                    [showBorders]="true" [wordWrapEnabled]="true"
                    (onContentReady)="grid3.instance.searchByText(grid3.searchPanel.text.trim())"
                    (onSelectionChanged)="selectionChangedHandler(grid3.selectedRowKeys)">
        <dxo-sorting mode="multiple"></dxo-sorting>
        <dxo-selection mode="single"></dxo-selection>
        <dxo-scrolling mode="standard" showScrollbar="always" useNative="false"></dxo-scrolling>
        <dxo-paging [pageSize]="50"></dxo-paging>
        <dxo-pager [showPageSizeSelector]="true" [allowedPageSizes]="[25, 50, 100]"></dxo-pager>
        <dxo-search-panel [visible]="true" [highlightCaseSensitive]="true"></dxo-search-panel>
        <dxi-column dataField="eventID" caption="Event ID" dataType="string"></dxi-column>
        <dxi-column dataField="frbid" caption="FRB ID" dataType="string"></dxi-column>
        <dxi-column dataField="preConfigEng" caption="PreConfig Eng" dataType="string"></dxi-column>
        <dxi-column dataField="activator" caption="Activator" dataType="string"></dxi-column>
        <dxi-column dataField="timeBlock" caption="Time Block" dataType="string"></dxi-column>
        <dxi-column dataField="status" caption="Status" dataType="string"></dxi-column>
      </dx-data-grid>
    </div>
  </div>
</div>

